<?php  
    $wp_customize->add_section(
        'selling_area',
        array(
            'title' => __( 'Best Selling Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );

    $wp_customize->add_setting(
        'selling_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'selling_area_disable',
            array(
                'settings'      => 'selling_area_disable',
                'section'       => 'selling_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'sellingus', 'selling_area', $color='#fff', get_template_directory_uri().'/images/default.png', 'img');

lzCustomLable($wp_customize, 'sellingarea_padding', 'selling_area', 'Section Padding');

$wp_customize->add_setting(
    'selling_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '6em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'selling_areaTpadding',
    array(
        'settings'      => 'selling_areaTpadding',
        'section'       => 'selling_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'selling_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1.8em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'selling_areaBpadding',
    array(
        'settings'      => 'selling_areaBpadding',
        'section'       => 'selling_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'selling_heading', 'selling_area', 'Section Heading');

$wp_customize->add_setting(
    'selling_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Our Shop', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'selling_title',
    array(
        'settings'      => 'selling_title',
        'section'       => 'selling_area',
        'type'          => 'text',
        'label'         => __( 'Heading', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'selling_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Discover the Southern Flavors Within Our Wines', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'selling_text',
    array(
        'settings'      => 'selling_text',
        'section'       => 'selling_area',
        'type'          => 'text',
        'label'         => __( 'Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'selling_area_headingClr', 'selling_area', 'Heading Color', '#010101');

addColorPalatOption($wp_customize, 'selling_area_txtClr', 'selling_area', 'Text Color', '#000');

lzCustomLable($wp_customize, 'sellingarea_clr', 'selling_area', 'Section Color');

addColorPalatOption($wp_customize, 'selling_area_imgovlyClr', 'selling_area', 'Image Overlay Color', '#FCFBF7');

addColorPalatOption($wp_customize, 'selling_area_disctxtClr', 'selling_area', 'Discount Text Color', '#fff');

addColorPalatOption($wp_customize, 'selling_area_discbgClr', 'selling_area', 'Discount BG Color', '#B33B3A');

addColorPalatOption($wp_customize, 'selling_area_prodcthvriconClr', 'selling_area', 'Product Hover Icon Color', '#000');

addColorPalatOption($wp_customize, 'selling_area_prodcthvriconbgClr', 'selling_area', 'Product Hover Icon BG Color', '#DFDABA');

addColorPalatOption($wp_customize, 'selling_area_carttxtClr', 'selling_area', 'Product Cart Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'selling_area_carttxthvrClr', 'selling_area', 'Product Cart Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'selling_area_carttxtbgClr', 'selling_area', 'Product Cart Button BG Color', '#DDA759');

addColorPalatOption($wp_customize, 'selling_area_carttxtbghvrClr', 'selling_area', 'Product Cart Button BG Hover Color', '#000');

addColorPalatOption($wp_customize, 'selling_area_category', 'selling_area', 'Product Category Color', '#DDA759');

addColorPalatOption($wp_customize, 'selling_area_pagetitle', 'selling_area', 'Product Title Color', '#010101');

addColorPalatOption($wp_customize, 'selling_area_priceClr', 'selling_area', 'Product Price Color', '#000');

addColorPalatOption($wp_customize, 'selling_area_arrowiconClr', 'selling_area', 'Product Inner Slider Arrow Icon Color', '#fff');

addColorPalatOption($wp_customize, 'selling_area_arrowiconbgClr', 'selling_area', 'Product Inner Slider Arrow Icon BG Color', '#DDA759');

addColorPalatOption($wp_customize, 'selling_area_sliderdotClr', 'selling_area', 'Slider Dot Color', '#000');

addColorPalatOption($wp_customize, 'selling_area_slideractivedotClr', 'selling_area', 'Slider Active Dot Color', '#DDA759');
